VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::content::library::item::updatesession::FileDefinitions Class Reference

Defines the type descriptors for the File API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | addSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | validationError
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | validationResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | validateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | validateOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | add_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | add_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | remove_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | remove_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output

## Detailed Description

Defines the type descriptors for the File API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::add_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("update_session_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession"));
                    fields.Add("file_spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.addSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::updatesession::FileDefinitions::add_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::addSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("source_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.updatesession.FileTypes.SourceType)));
                    fields.Add("source_endpoint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.StructDefinitions.transferEndpoint.Value))));
                    fields.Add("size", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("checksum_info", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.FileDefinitions.checksumInfo.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("PULL", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("source_endpoint", false)});
                    caseFields.Add("NONE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("PUSH", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("source_type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.updatesession.file.add_spec", fields, typeof(vmware.content.library.item.updatesession.FileTypes.AddSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("update_session_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession"));
                    fields.Add("file_name", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::updatesession::FileDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("source_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.updatesession.FileTypes.SourceType)));
                    fields.Add("size", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("checksum_info", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.FileDefinitions.checksumInfo.Value))));
                    fields.Add("source_endpoint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.StructDefinitions.transferEndpoint.Value))));
                    fields.Add("upload_endpoint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.StructDefinitions.transferEndpoint.Value))));
                    fields.Add("bytes_transferred", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.TransferStatus)));
                    fields.Add("error_message", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("PULL", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("source_endpoint", false)});
                    caseFields.Add("PUSH", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("upload_endpoint", false)});
                    caseFields.Add("NONE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("source_type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.updatesession.file.info", fields, typeof(vmware.content.library.item.updatesession.FileTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("update_session_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::updatesession::FileDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.info.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::remove_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("update_session_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession"));
                    fields.Add("file_name", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::updatesession::FileDefinitions::remove_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::validateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("update_session_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.item.UpdateSession"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::updatesession::FileDefinitions::validateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.validationResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::validationError`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("error_message", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.updatesession.file.validation_error", fields, typeof(vmware.content.library.item.updatesession.FileTypes.ValidationError), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::updatesession::FileDefinitions::validationResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("has_errors", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("missing_files", new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("invalid_files", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.updatesession.FileDefinitions.validationError.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.updatesession.file.validation_result", fields, typeof(vmware.content.library.item.updatesession.FileTypes.ValidationResult), validators, false, null);
                })

The documentation for this class was generated from the following file:

- updatesession/FileDefinitions.cs